import request from "@/utils/request";

// 查询部门列表
export function listCatalog(data) {
  return request.post("/pt/catalog/list", data);
}

// 查询部门列表（排除节点）
// export function listCateExcludeChild(CateId) {
//   return request({
//     url: "/pt/catalog/list/exclude/" + CateId,
//     method: "get",
//   });
// }

// 查询部门详细
export function getCatalog(cateId) {
  return request({
    url: "/pt/catalog/" + cateId,
    method: "get",
  });
}

// 查询部门下拉树结构
export function treeselect() {
  return request({
    url: "/pt/catalog/treeselect",
    method: "get",
  });
}

// 根据角色ID查询部门树结构
// export function roleCateTreeselect(roleId) {
//   return request({
//     url: "/pt/catalog/roleCateTreeselect/" + roleId,
//     method: "get",
//   });
// }

// 新增部门
export function addCatalog(data) {
  return request({
    url: "/pt/catalog",
    method: "post",
    data: data,
  });
}

// 修改部门
export function updateCatalog(data) {
  return request({
    url: "/pt/catalog",
    method: "put",
    data: data,
  });
}

// 删除部门
export function delCatalog(cateId) {
  return request({
    url: "/pt/catalog/" + cateId,
    method: "delete",
  });
}
